﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

using DevExpress.XtraEditors;
using DevExpress.XtraGrid;
using DevExpress.XtraGrid.Views.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            List<Record> recordList = Record.GetRecordList();

            GridSplitContainer gridSplitContainer = new GridSplitContainer();

            gridSplitContainer.Parent   = this;
            gridSplitContainer.Dock     = DockStyle.Fill;

            gridSplitContainer.Initialize();

            gridSplitContainer.SplitViewCreated += gridSplitContainer_SplitViewCreated;


            GridControl gridControl1 = gridSplitContainer.Grid;

            gridControl1.DataSource = recordList;

            GridView gridView1 = gridControl1.MainView as GridView;

            gridView1.BestFitColumns();

            gridView1.FocusedRowHandle = gridView1.LocateByValue("Country", "UK");


            gridSplitContainer.ShowSplitView();
            

            GridControl gridControl2 = gridSplitContainer.SplitChildGrid;
            
            GridView gridView2 = gridControl2.MainView as GridView;
            
            gridView2.FocusedRowHandle = gridView2.LocateByValue("Country", "Sweden");
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 그리드 분리 컨테이너 분리 뷰 생성시 처리하기 - gridSplitContainer_SplitViewCreated(sender, e)

        /// <summary>
        /// 그리드 분리 컨테이너 분리 뷰 생성시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void gridSplitContainer_SplitViewCreated(object sender, EventArgs e)
        {
            GridSplitContainer gridSplitContainer = sender as GridSplitContainer;

            if(!gridSplitContainer.Horizontal)
            {
                gridSplitContainer.SplitChildGrid.UseEmbeddedNavigator = true;
            }
        }

        #endregion
    }
}