﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 레코드
    /// </summary>
    public class Record
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name { get; set; }

        #endregion
        #region 국가 - Country

        /// <summary>
        /// 국가
        /// </summary>
        public string Country { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Record(id, name, country)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="id">ID</param>
        /// <param name="name">명칭</param>
        /// <param name="country">국가</param>
        public Record(int id, string name, string country)
        {
            ID      = id;
            Name    = name;
            Country = country;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 레코드 리스트 구하기 - GetRecordList()

        /// <summary>
        /// 레코드 리스트 구하기
        /// </summary>
        /// <returns>레코드 리스트</returns>
        public static List<Record> GetRecordList()
        {
            List<Record> list = new List<Record>();

            list.Add(new Record(1, "Rene Phillips"     , "USA"   ));
            list.Add(new Record(2, "Robert McKinsey"   , "UK"    ));
            list.Add(new Record(3, "Christina Berglund", "Sweden"));
            list.Add(new Record(4, "Martín Sommer"     , "Spain" ));
            list.Add(new Record(5, "Laurence Lebihan"  , "France"));
            list.Add(new Record(6, "Elizabeth Lincoln" , "Canada"));
            list.Add(new Record(7, "Steven Baum"       , "USA"   ));
            
            return list;
        }

        #endregion
    }
}